.daterangepicker {
    background-color: rgb(255, 255, 255);
    border-radius: 4px;
    color: inherit;
    left: 20px;
    margin-top: 1px;
    padding: 4px;
    position: absolute;
    top: 100px;
    width: 278px;
}

.daterangepicker::after,
.daterangepicker::before {
    border-bottom-color: rgba(0, 0, 0, 0.2);
    content: "";
    display: inline-block;
    position: absolute;
}

.daterangepicker::before {
    border-bottom: 7px solid rgb(204, 204, 204);
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    top: -7px;
}

.daterangepicker::after {
    border-bottom: 6px solid rgb(255, 255, 255);
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    top: -6px;
}

.daterangepicker.opensleft::before {
    right: 9px;
}

.daterangepicker.opensleft::after {
    right: 10px;
}

.daterangepicker.openscenter::after,
.daterangepicker.openscenter::before {
    left: 0px;
    margin-left: auto;
    margin-right: auto;
    right: 0px;
    width: 0px;
}

.daterangepicker.opensright::before {
    left: 9px;
}

.daterangepicker.opensright::after {
    left: 10px;
}

.daterangepicker.dropup {
    margin-top: -5px;
}

.daterangepicker.dropup::before {
    border-bottom: initial;
    border-top: 7px solid rgb(204, 204, 204);
    bottom: -7px;
    top: auto;
}

.daterangepicker.dropup::after {
    border-bottom: initial;
    border-top: 6px solid rgb(255, 255, 255);
    bottom: -6px;
    top: auto;
}

.daterangepicker.dropdown-menu {
    max-width: none;
    z-index: 3001;
}

.daterangepicker.single .calendar,
.daterangepicker.single .ranges {
    float: none;
}

.daterangepicker.show-calendar .calendar {
    display: block;
}

.daterangepicker .calendar {
    display: none;
    margin: 4px;
    max-width: 270px;
}

.daterangepicker .calendar.single .calendar-table {
    border-width: medium;
    border-style: none;
    border-color: currentcolor;
    border-image: initial;
}

.daterangepicker .calendar td,
.daterangepicker .calendar th {
    min-width: 32px;
    text-align: center;
    white-space: nowrap;
}

.daterangepicker .calendar-table {
    background-color: rgb(255, 255, 255);
    border: 1px solid rgb(255, 255, 255);
    border-radius: 4px;
    padding: 4px;
}

.daterangepicker table {
    margin: 0px;
    width: 100%;
}

.daterangepicker td,
.daterangepicker th {
    border: 1px solid transparent;
    border-radius: 4px;
    cursor: pointer;
    height: 20px;
    text-align: center;
    white-space: nowrap;
    width: 20px;
}

.daterangepicker td.available:hover,
.daterangepicker th.available:hover {
    background-color: rgb(238, 238, 238);
    border-color: transparent;
    color: inherit;
}

.daterangepicker td.week,
.daterangepicker th.week {
    color: rgb(204, 204, 204);
    font-size: 80%;
}

.daterangepicker td.off,
.daterangepicker td.off.end-date,
.daterangepicker td.off.in-range,
.daterangepicker td.off.start-date {
    background-color: rgb(255, 255, 255);
    border-color: transparent;
    color: rgb(153, 153, 153);
}

.daterangepicker td.in-range {
    background-color: rgb(235, 244, 248);
    border-color: transparent;
    border-radius: 0px;
    color: rgb(0, 0, 0);
}

.daterangepicker td.start-date {
    border-radius: 4px 0px 0px 4px;
}

.daterangepicker td.end-date {
    border-radius: 0px 4px 4px 0px;
}

.daterangepicker td.start-date.end-date {
    border-radius: 4px;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
    background-color: rgb(53, 126, 189);
    border-color: transparent;
    color: rgb(255, 255, 255);
}

.daterangepicker th.month {
    width: auto;
}

.daterangepicker option.disabled,
.daterangepicker td.disabled {
    color: rgb(153, 153, 153);
    cursor: not-allowed;
    text-decoration: line-through;
}

.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
    cursor: default;
    font-size: 12px;
    height: auto;
    margin: 0px;
    padding: 1px;
}

.daterangepicker select.monthselect {
    margin-right: 2%;
    width: 56%;
}

.daterangepicker select.yearselect {
    width: 40%;
}

.daterangepicker select.ampmselect,
.daterangepicker select.hourselect,
.daterangepicker select.minuteselect,
.daterangepicker select.secondselect {
    margin-bottom: 0px;
    width: 50px;
}

.daterangepicker .input-mini {
    border: 1px solid rgb(204, 204, 204);
    border-radius: 4px;
    color: rgb(85, 85, 85);
    display: block;
    height: 30px;
    line-height: 30px;
    margin: 0px 0px 5px;
    padding: 0px 6px 0px 28px;
    vertical-align: middle;
    width: 100%;
}

.daterangepicker .input-mini.active {
    border: 1px solid rgb(0, 136, 204);
    border-radius: 4px;
}

.daterangepicker .daterangepicker_input {
    position: relative;
}

.daterangepicker .daterangepicker_input i {
    left: 8px;
    position: absolute;
    top: 8px;
}

.daterangepicker.rtl .input-mini {
    padding-left: 6px;
    padding-right: 28px;
}

.daterangepicker.rtl .daterangepicker_input i {
    left: auto;
    right: 8px;
}

.daterangepicker .calendar-time {
    line-height: 30px;
    margin: 5px auto;
    padding-left: 28px;
    position: relative;
    text-align: center;
}

.daterangepicker .calendar-time select.disabled {
    color: rgb(204, 204, 204);
    cursor: not-allowed;
}

.ranges {
    float: none;
    font-size: 11px;
    margin: 4px;
    text-align: left;
}

.ranges ul {
    list-style: none;
    margin: 0px auto;
    padding: 0px;
    width: 100%;
}

.ranges li {
    background-color: rgb(245, 245, 245);
    border: 1px solid rgb(245, 245, 245);
    border-radius: 4px;
    color: rgb(0, 136, 204);
    cursor: pointer;
    font-size: 13px;
    margin-bottom: 8px;
    padding: 3px 12px;
}

.ranges li.active,
.ranges li:hover {
    background-color: rgb(0, 136, 204);
    border: 1px solid rgb(0, 136, 204);
    color: rgb(255, 255, 255);
}

@media (min-width: 564px) {
    .daterangepicker {
        width: auto;
    }

    .daterangepicker .ranges ul {
        width: 160px;
    }

    .daterangepicker.single .ranges ul {
        width: 100%;
    }

    .daterangepicker.single .calendar.left {
        clear: none;
    }

    .daterangepicker.single.ltr .calendar,
    .daterangepicker.single.ltr .ranges {
        float: left;
    }

    .daterangepicker.single.rtl .calendar,
    .daterangepicker.single.rtl .ranges {
        float: right;
    }

    .daterangepicker.ltr {
        direction: ltr;
        text-align: left;
    }

    .daterangepicker.ltr .calendar.left {
        clear: left;
        margin-right: 0px;
    }

    .daterangepicker.ltr .calendar.left .calendar-table {
        border-bottom-right-radius: 0px;
        border-right-width: medium;
        border-right-style: none;
        border-right-color: currentcolor;
        border-top-right-radius: 0px;
    }

    .daterangepicker.ltr .calendar.right {
        margin-left: 0px;
    }

    .daterangepicker.ltr .calendar.right .calendar-table {
        border-bottom-left-radius: 0px;
        border-left-width: medium;
        border-left-style: none;
        border-left-color: currentcolor;
        border-top-left-radius: 0px;
    }

    .daterangepicker.ltr .calendar.left .calendar-table,
    .daterangepicker.ltr .left .daterangepicker_input {
        padding-right: 12px;
    }

    .daterangepicker.ltr .calendar,
    .daterangepicker.ltr .ranges {
        float: left;
    }

    .daterangepicker.rtl {
        direction: rtl;
        text-align: right;
    }

    .daterangepicker.rtl .calendar.left {
        clear: right;
        margin-left: 0px;
    }

    .daterangepicker.rtl .calendar.left .calendar-table {
        border-bottom-left-radius: 0px;
        border-left-width: medium;
        border-left-style: none;
        border-left-color: currentcolor;
        border-top-left-radius: 0px;
    }

    .daterangepicker.rtl .calendar.right {
        margin-right: 0px;
    }

    .daterangepicker.rtl .calendar.right .calendar-table {
        border-bottom-right-radius: 0px;
        border-right-width: medium;
        border-right-style: none;
        border-right-color: currentcolor;
        border-top-right-radius: 0px;
    }

    .daterangepicker.rtl .calendar.left .calendar-table,
    .daterangepicker.rtl .left .daterangepicker_input {
        padding-left: 12px;
    }

    .daterangepicker.rtl .calendar,
    .daterangepicker.rtl .ranges {
        float: right;
        text-align: right;
    }
}

@media (min-width: 730px) {
    .daterangepicker .ranges {
        width: auto;
    }

    .daterangepicker.ltr .ranges {
        float: left;
    }

    .daterangepicker.rtl .ranges {
        float: right;
    }

    .daterangepicker .calendar.left {
        clear: none !important;
    }
}